### Constructor

# Gio ThreadedSocketService new

since: 2.22

#### Declaration [src]

    GSocketService*
    g_threaded_socket_service_new (
      int max_threads
    )

#### Description [src]

Creates a new `GThreadedSocketService` with no listeners. Listeners must be added with one of the `GSocketListener` “add” methods.

Available since: 2.22

#### Parameters

`max_threads`

  Type: `int`

  The maximal number of threads to execute concurrently handling incoming clients, -1 means no limit.

#### Return value

Type: `GSocketService`

A new `GSocketService`.

The caller of the function takes ownership of the data, and is responsible for freeing it.